This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 488352 - Enable osgideps.pl script by default
Enable osgideps.pl script by default
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On: 506471
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-03 15:59 EST by Alphonse Van Assche
Modified: 2011-06-02 15:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-02 15:02:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Enable OSGI by default patch (6.40 KB, patch)
2009-03-03 16:02 EST, Alphonse Van Assche
no flags Details | Diff
Enable OSGI by default patch (3.05 KB, patch)
2009-03-05 13:38 EST, Alphonse Van Assche
no flags Details | Diff
eclipse.spec.patch (6.90 KB, patch)
2009-06-17 12:47 EDT, Alphonse Van Assche
no flags Details | Diff
eclipse-osgi-autodeps.patch (2.18 KB, text/plain)
2009-12-07 02:41 EST, Alphonse Van Assche
no flags Details
eclipse-osgi-autodeps.patch (1.31 KB, text/plain)
2009-12-07 02:42 EST, Alphonse Van Assche
no flags Details
eclipse-osgi-autodeps.patch (891 bytes, text/plain)
2009-12-07 02:42 EST, Alphonse Van Assche
no flags Details
jakarta-commons-codec-osgi-autodeps.patch (942 bytes, text/plain)
2009-12-07 02:42 EST, Alphonse Van Assche
no flags Details
eclipse-osgi-autodeps.patch (1.45 KB, text/plain)
2009-12-07 02:43 EST, Alphonse Van Assche
no flags Details
jakarta-commons-logging-osgi-autodeps.patch (1.48 KB, text/plain)
2009-12-07 02:43 EST, Alphonse Van Assche
no flags Details
eclipse-osgi-autodeps.patch (1.31 KB, text/plain)
2009-12-07 02:45 EST, Alphonse Van Assche
no flags Details
icu4j-osgi-autodeps.patch (891 bytes, text/plain)
2009-12-07 02:46 EST, Alphonse Van Assche
no flags Details
jakarta-commons-httpclient-osgi-autodeps.patch (1.45 KB, text/plain)
2009-12-07 02:47 EST, Alphonse Van Assche
no flags Details
jetty-osgi-autodeps.patch (1.15 KB, text/plain)
2009-12-07 02:47 EST, Alphonse Van Assche
no flags Details
jsch-osgi-autodeps.patch (1.12 KB, text/plain)
2009-12-07 02:47 EST, Alphonse Van Assche
no flags Details
lucene-osgi-autodeps.patch (1.15 KB, text/plain)
2009-12-07 02:48 EST, Alphonse Van Assche
no flags Details
objectweb-asm-osgi-autodeps.patch (1.18 KB, text/plain)
2009-12-07 02:49 EST, Alphonse Van Assche
no flags Details
sat4j-osgi-autodeps.patch (1.08 KB, text/plain)
2009-12-07 02:49 EST, Alphonse Van Assche
no flags Details
tomcat6-osgi-autodeps.patch (1.26 KB, text/plain)
2009-12-07 02:51 EST, Alphonse Van Assche
no flags Details

  None (edit)
Description Alphonse Van Assche 2009-03-03 15:59:25 EST
Hi,

Our Eclipse package build and cleanly install with all requires commented and the OSGI auto dependencies generator script enabled. Just some files relocation were necessary, of course there is a bug :) due to jdtcore.jar and eclipse-ecj.jar symlinks, it's probably something really simple bu I'm no familiar with the package and don't have any idea of what these symlinks do.

Btw, IMHO it's a bug to symlink to jars in jdt sub-package and not require it in ecj sub-package, is there something that I have missed?

To apply this patch on rawhide last osgideps.pl[1] script must be in - current rawhide version is buggy.

ps: I'm impressed to see all the OSGI deps solving by default on Fedora, really :)

[1] http://rpm.org/ticket/39

Regards,
Alphonse
Comment 1 Alphonse Van Assche 2009-03-03 16:02:25 EST
Created attachment 333928 [details]
Enable OSGI by default patch
Comment 2 Alphonse Van Assche 2009-03-03 16:04:03 EST
FYI, the patch is based on F-10 branch
Comment 3 Alphonse Van Assche 2009-03-05 13:38:48 EST
Created attachment 334177 [details]
Enable OSGI by default patch
Comment 4 Bug Zapper 2009-06-09 07:50:03 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Alphonse Van Assche 2009-06-17 12:47:52 EDT
Created attachment 348294 [details]
eclipse.spec.patch
Comment 6 Alexander Kurtakov 2009-11-23 07:43:44 EST
Hi Alphonse,
Do you think we can enable it by default for F-13?
Comment 7 Alphonse Van Assche 2009-11-23 11:57:29 EST
Hello Alex,

Yes we can, but we need an up-to-date script and last time that I have checked (last week or something like that) rawhide rpm package don't include it.

Maybe, we can ask rpm maintainer to update (last script is on upstream  "HEAD" scim)
Comment 8 Alexander Kurtakov 2009-12-03 14:10:58 EST
Hey Alphonse, is http://koji.fedoraproject.org/koji/buildinfo?buildID=142988 good enough?
Comment 9 Alphonse Van Assche 2009-12-05 06:18:32 EST
Nice we have it. Now the first step is to enable OSGi deps solving on eclipse main package.

Here is the list of packages that I had to rebuild to be able to build and install eclipse 3.4 package.

ant
icu4j
jakarta-commons-codec
jakarta-commons-el
jakarta-commons-httpclient
jakarta-commons-logging
jsch
lucene
objectweb-asm
sat4j
tomcat5
tomcat6
xml-commons-apis

Do you know if we need to rebuild more package for 3.5?
Comment 10 Alphonse Van Assche 2009-12-07 02:39:51 EST
Hi there, 

Here is the list of packages that we need to be patched and rebuild:

eclipse (enable OSGi + move org.eclipse.osgi.services directory)
hamcrest
icu4j
jakarta-commons-codec
jakarta-commons-httpclient
jakarta-commons-logging
jetty
jsch
lucene
objectweb-asm
sat4j
tomcat6

I have create patch for each package in the hope that you have commit access. Please say me that you have all these access right :-)

Once we have do that we can remove some of the static req/prov of the eclipse package. A good begin would be the above list.
Comment 11 Alphonse Van Assche 2009-12-07 02:41:32 EST
Created attachment 376601 [details]
eclipse-osgi-autodeps.patch
Comment 12 Alphonse Van Assche 2009-12-07 02:42:00 EST
Created attachment 376602 [details]
eclipse-osgi-autodeps.patch
Comment 13 Alphonse Van Assche 2009-12-07 02:42:30 EST
Created attachment 376603 [details]
eclipse-osgi-autodeps.patch
Comment 14 Alphonse Van Assche 2009-12-07 02:42:59 EST
Created attachment 376604 [details]
jakarta-commons-codec-osgi-autodeps.patch
Comment 15 Alphonse Van Assche 2009-12-07 02:43:27 EST
Created attachment 376605 [details]
eclipse-osgi-autodeps.patch
Comment 16 Alphonse Van Assche 2009-12-07 02:43:52 EST
Created attachment 376606 [details]
jakarta-commons-logging-osgi-autodeps.patch
Comment 17 Alphonse Van Assche 2009-12-07 02:45:55 EST
Created attachment 376607 [details]
eclipse-osgi-autodeps.patch

oups...
Comment 18 Alphonse Van Assche 2009-12-07 02:46:27 EST
Created attachment 376608 [details]
icu4j-osgi-autodeps.patch
Comment 19 Alphonse Van Assche 2009-12-07 02:47:03 EST
Created attachment 376609 [details]
jakarta-commons-httpclient-osgi-autodeps.patch
Comment 20 Alphonse Van Assche 2009-12-07 02:47:30 EST
Created attachment 376610 [details]
jetty-osgi-autodeps.patch
Comment 21 Alphonse Van Assche 2009-12-07 02:47:57 EST
Created attachment 376611 [details]
jsch-osgi-autodeps.patch
Comment 22 Alphonse Van Assche 2009-12-07 02:48:29 EST
Created attachment 376612 [details]
lucene-osgi-autodeps.patch
Comment 23 Alphonse Van Assche 2009-12-07 02:49:02 EST
Created attachment 376613 [details]
objectweb-asm-osgi-autodeps.patch
Comment 24 Alphonse Van Assche 2009-12-07 02:49:24 EST
Created attachment 376614 [details]
sat4j-osgi-autodeps.patch
Comment 25 Alphonse Van Assche 2009-12-07 02:51:02 EST
Created attachment 376615 [details]
tomcat6-osgi-autodeps.patch
Comment 26 Mat Booth 2009-12-08 16:54:35 EST
(In reply to comment #14)
> Created an attachment (id=376604) [details]
> jakarta-commons-codec-osgi-autodeps.patch  

Hi,

Will these patches need to be reverted when OSGi dep solving is turned on by default by rpm?
Comment 27 Mat Booth 2009-12-08 17:08:12 EST
I have applied this to all my jakarta-* packages that have OSGi manifests (codec, digester and modeler).
Comment 28 Mat Booth 2009-12-08 17:55:13 EST
(In reply to comment #27)
> I have applied this to all my jakarta-* packages that have OSGi manifests
> (codec, digester and modeler).  

On second thoughts, only codec doesn't have dependencies that would presumably also need this change, so I'll only do codec for now.
Comment 29 Alphonse Van Assche 2009-12-10 03:19:19 EST
I Matt,

I'm not sure be it seem to me that only __use_internal_dependency_generator is mandatory.

Hoping that I'm wrong so that we can enable it on the whole system without too many extra work.

And yes, only codec was needed. 

PS: I send a mail to Panu to see what he say about the above assumption.
 
Thanks
Comment 30 Alexander Kurtakov 2010-03-03 10:52:09 EST
Hi Alphonse,
Is there a way to enable osgi provides generator by default without modifying spec files? This will give us time to get all the packages providing smth sane before enabling requires generatot.
Comment 31 Bug Zapper 2010-04-27 09:05:54 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 32 Mat Booth 2010-04-27 11:23:14 EDT
This is still valid.
Comment 33 Andrew Overholt 2010-09-03 09:17:00 EDT
This is something that Chris is interested in.
Comment 34 Fedora Admin XMLRPC Client 2010-09-10 13:00:47 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 35 Bug Zapper 2011-06-02 14:14:05 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 36 Alexander Kurtakov 2011-06-02 15:02:52 EDT
OSGi provides generator based on the 4.9 rpm dependency generator is now shipped with jpackage-utils.
Closing.

Note You need to log in before you can comment on or make changes to this bug.